%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Chade and Lindenlaub
% Risky Matching
% December 2020
% Replication Codes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% Description of file.

%- File calls the estimation of counterfactual model that fixed theta^*
%  exogenously to data level in both periods.
%  Prior to running this code, run gmm_estimation_inputs_fixedtheta_final.m    

%- 6 parameters to be estimated internally:

    %- b_e: H1 distribution
    %- tau: std dev of L
    %- q: TFP in prod fct
    %- beta: curvature of x in prod fct
    %- gamma: curvature of y in prod fcts
    %- K: constant in production function

%- 9 targeted moments:
 
    %- college premium
    %- percentiles: 5, 25, 50, 75, 95
    %- mean wage
    %- standard deviation of wage
    %- ratio of between to within variance (income variance decomposition)
   
% Comments: 

    %- In the code below, '1980' refers to 1979-1981 (the early period)
    %  and '2015' refers to 2015-2017 (the later period)
    %- This counterfactual treats theta^* as exogenous, hence the effort
    %   cost of education parameter does not need to be estimated (and 
    %   therefore the moment `college share' is dropped)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc
clear all


%- Load inputs
load ('inputs_gmm_fixedtheta.mat');

    [X,fval]=fminsearch(problem);
    
    %- Save workspace
    if year == "2015original"
        save ('gmm_output_2015original_fminsearch_fixedtheta.mat');
    elseif year=="1980original"
        save ('gmm_output_1980original_fminsearch_fixedtheta.mat'); 
    end



