%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Chade and Lindenlaub
% Risky Matching
% December 2020
% Replication Codes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% Description of file.

%- File calls the estimation.
%  Prior to running this file, run gmm_estimation_inputs_final.m    

%- 7 parameters to be estimated internally:

    %- lambda: cost function parameter 
    %- b_e: H1 distribution
    %- tau: std dev of L
    %- q: TFP in prod fct
    %- beta: curvature of x in prod fct
    %- gamma: curvature of y in prod fcts
    %- K: constant in production function

%- targeted moments:
 
%   %- college share
    %- college premium
    %- percentiles: 5, 25, 50, 75, 95
    %- mean wage
    %- standard deviation of wage
    %- ratio of between to within variance (income variance decomposition)
   
% Comment: In the code below, '1980' refers to 1979-1981 (the early period)
% and '2015' refers to 2015-2017 (the later period)       
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc
clear all

%- Load inputs
load ('inputs_gmm.mat');

    [X,fval]=fminsearch(problem);
    
    %- Save workspace
    if year == "2015original"
        save ('gmm_output_2015original_fminsearch.mat');
    elseif year=="1980original"
        save ('gmm_output_1980original_fminsearch.mat');  
    end



