(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6480,        167]
NotebookOptionsPosition[      6006,        150]
NotebookOutlinePosition[      6398,        166]
CellTagsIndexPosition[      6355,        163]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"simulation_multiplicityPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"\[Theta]", " ", 
             RowBox[{"(", 
              FractionBox["i", "1000"], ")"}]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Theta]"}], ")"}], 
             SuperscriptBox[
              RowBox[{"(", 
               FractionBox["i", "1000"], ")"}], "\[Beta]"]}]}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"b", "+", 
              RowBox[{"\[Theta]", " ", "0.5", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 FractionBox["i", "1000"], ")"}], "2"]}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"1", "-", "\[Theta]"}], ")"}], 
               FractionBox[
                SuperscriptBox[
                 RowBox[{"(", 
                  FractionBox["i", "1000"], ")"}], 
                 RowBox[{"1", "+", "\[Beta]"}]], 
                RowBox[{"1", "+", "\[Beta]"}]]}]}], ")"}], "\[Sigma]"]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             FractionBox["i", "1000"], ")"}], "-", 
            SuperscriptBox[
             RowBox[{"(", 
              FractionBox["i", "1000"], ")"}], "\[Beta]"]}], ")"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "1000"}], "}"}]}], "]"}], ",", 
       RowBox[{"Max", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "k"}], " ", 
          RowBox[{"Log", "[", "\[Theta]", "]"}]}], ",", 
         RowBox[{"\[Lambda]", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Theta]"}], ")"}]}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", "0.0000001", ",", "0.3"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Beta]", ",", "4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Sigma]", ",", "2.8", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "0.001", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "1750000", ",", "2000000"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "7200000", ",", "10000000"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.8220877205126257`*^9},ExpressionUUID->"f7f40630-6bc3-476c-9088-\
f0dcd01716d2"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`b$$ = 0.001, $CellContext`k$$ = 
    7200000, $CellContext`\[Beta]$$ = 4, $CellContext`\[Lambda]$$ = 
    1750000, $CellContext`\[Sigma]$$ = 2.8, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`\[Beta]$$], 4, 5}, {
      Hold[$CellContext`\[Sigma]$$], 2.8, 3}, {
      Hold[$CellContext`b$$], 0.001, 1}, {
      Hold[$CellContext`\[Lambda]$$], 1750000, 2000000}, {
      Hold[$CellContext`k$$], 7200000, 10000000}}, Typeset`size$$ = {
    360., {101., 105.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`b$$ = 0.001, $CellContext`k$$ = 
        7200000, $CellContext`\[Beta]$$ = 4, $CellContext`\[Lambda]$$ = 
        1750000, $CellContext`\[Sigma]$$ = 2.8}, "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[{
         Sum[(($CellContext`\[Theta] ($CellContext`i/1000) + (
              1 - $CellContext`\[Theta]) ($CellContext`i/
               1000)^$CellContext`\[Beta]$$)/($CellContext`b$$ + \
$CellContext`\[Theta] 
             0.5 ($CellContext`i/1000)^2 + (
              1 - $CellContext`\[Theta]) (($CellContext`i/1000)^(
                1 + $CellContext`\[Beta]$$)/(
              1 + $CellContext`\[Beta]$$)))^$CellContext`\[Sigma]$$) \
($CellContext`i/1000 - ($CellContext`i/
            1000)^$CellContext`\[Beta]$$), {$CellContext`i, 1, 1000}], 
         Max[(-$CellContext`k$$) 
          Log[$CellContext`\[Theta]], $CellContext`\[Lambda]$$ (
           1 - $CellContext`\[Theta])]}, {$CellContext`\[Theta], 1.*^-7, 
         0.3}], "Specifications" :> {{$CellContext`\[Beta]$$, 4, 
         5}, {$CellContext`\[Sigma]$$, 2.8, 3}, {$CellContext`b$$, 0.001, 
         1}, {$CellContext`\[Lambda]$$, 1750000, 2000000}, {$CellContext`k$$, 
         7200000, 10000000}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{405., {202., 208.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.822087395993806*^9},
 CellLabel->"Out[1]=",ExpressionUUID->"defcf0a0-0e54-4c85-be11-d6d13a3f0891"]
}, Open  ]]
},
WindowSize->{808, 713},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (March 13, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"117ef4e1-f063-4d1c-b778-196652197b93"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2481, 68, 185, "Input",ExpressionUUID->"f7f40630-6bc3-476c-9088-f0dcd01716d2"],
Cell[3064, 92, 2926, 55, 429, "Output",ExpressionUUID->"defcf0a0-0e54-4c85-be11-d6d13a3f0891"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

